List Block Rules
curl --request GET \
--url https://api.bland.ai/v1/blocked_numbers \
--header 'authorization: <authorization>'import requests
url = "https://api.bland.ai/v1/blocked_numbers"
headers = {"authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {authorization: '<authorization>'}};
fetch('https://api.bland.ai/v1/blocked_numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"blocks": [
{
"id": 456,
"blocked_number": "+10000000000",
"is_global": false,
"inbound_number": "+19999999999",
"org_id": "1a2b3c4d-5e6f-7a8b-9c0d-ef1234567890",
"reason": null,
"is_active": true,
"created_at": "2025-01-01T00:00:00.000Z",
"updated_at": "2025-01-01T00:00:00.000Z"
}
],
"total_count": 1,
"filters": {
"inbound_number": "+19999999999",
"active_only": true
}
},
"errors": null
}
Blocked Numbers
List Block Rules
Retrieve block rules associated with your inbound numbers.
GET
/
v1
/
blocked_numbers
List Block Rules
Block Rule Management – This endpoint returns block rules for either all global blocks or a specific inbound number, depending on the query parameters.
Headers
string
required
Your API key for authentication.
Query Parameters
string
The E.164 formatted inbound number to filter results by. If omitted, returns only global block rules.
boolean
Whether to only return currently active block rules. Default is
true. Set to false to include deleted or inactive rules.Response
object
Returns a list of block rules that match the provided filters.
array
Array of block rule objects.
number
The number of block rules returned by this request.
object
Echoes the filters used in the request (
inbound_number, active_only).null|array
null on success, or a list of error objects if validation fails.{
"data": {
"blocks": [
{
"id": 456,
"blocked_number": "+10000000000",
"is_global": false,
"inbound_number": "+19999999999",
"org_id": "1a2b3c4d-5e6f-7a8b-9c0d-ef1234567890",
"reason": null,
"is_active": true,
"created_at": "2025-01-01T00:00:00.000Z",
"updated_at": "2025-01-01T00:00:00.000Z"
}
],
"total_count": 1,
"filters": {
"inbound_number": "+19999999999",
"active_only": true
}
},
"errors": null
}
Docs for agents: llms.txt
Was this page helpful?